Intermittent browser/components/places/tests/browser/browser_library_move_bookmarks.js | Test timed out -

RESOLVED INCOMPLETE

Status

()

P5
normal
RESOLVED INCOMPLETE
a year ago
11 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

That's weird, adding to my list for initial investigation...
Assignee: nobody → standard8
2 failures in 924 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* autoland: 1

Platform breakdown:
* linux64-stylo-disabled: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1397601&startday=2017-09-04&endday=2017-09-10&tree=all
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1397601&startday=2017-09-18&endday=2017-09-24&tree=all
3 failures in 885 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* linux64: 2
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1397601&startday=2017-09-25&endday=2017-10-01&tree=all
2 failures in 824 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* linux64-stylo-disabled: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1397601&startday=2017-10-02&endday=2017-10-08&tree=all
The latest log here looks like vacuum kicked in again:

[task 2017-10-07T05:56:01.712Z] 05:56:01     INFO - TEST-START | browser/components/places/tests/browser/browser_library_move_bookmarks.js
[task 2017-10-07T05:56:02.742Z] 05:56:02     INFO - GECKO(1575) | [Parent 1575, Main Thread] WARNING: Unable to vacuum database: places.sqlite - 1 cannot VACUUM from within a transaction: file /builds/worker/workspace/build/src/storage/VacuumManager.cpp, line 246
[task 2017-10-07T05:56:02.745Z] 05:56:02     INFO - GECKO(1575) | [Parent 1575, Main Thread] WARNING: Places.sqlite vacuum failed.: 'aSucceeded', file /builds/worker/workspace/build/src/toolkit/components/places/nsNavHistory.cpp, line 2808

then we got some PlacesUIUtils failures:

[task 2017-10-07T05:56:04.416Z] 05:56:04     INFO - GECKO(1575) | JavaScript error: resource:///modules/PlacesUIUtils.jsm, line 1112: TypeError: aUrlString is null
(repeated)

followed by:

[task 2017-10-07T05:56:06.212Z] 05:56:06     INFO - GECKO(1575) |   Message: TypeError: item.url is undefined
[task 2017-10-07T05:56:06.212Z] 05:56:06     INFO - GECKO(1575) |   Stack:
[task 2017-10-07T05:56:06.214Z] 05:56:06     INFO - GECKO(1575) |     update/<@resource://gre/modules/Bookmarks.jsm:609:1

when attempting to actually move things.

It is a bit concerning that bug 1402248 may not have stopped the idle-daily completely happening, but also that vacuum might be upsetting other items using places.
3 failures in 947 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* linux64-stylo-disabled: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1397601&startday=2017-10-09&endday=2017-10-15&tree=all
1 failures in 864 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1397601&startday=2017-10-16&endday=2017-10-22&tree=all
Not working on this at the moment. idle-daily is now completely fixed, so this might just be low level/not really an issue at the moment.
Assignee: standard8 → nobody
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 11 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.